"Special page" tab appears over namespace selection list
Open, LowestPublic3 Story Points

Description

Screenshot of Adam's dev install:

The same goes for the user name and other icons in the upper right corner

Expected behavior:
The dropdown overlaps everything else, until it is collapsed again.

To reproduce:
Open the namespace selection dropdown in a window that does not leave room for the dropdown to open below. It will then open above the box, but unfortunately below the beforementioned elements

Addshore created this task.Jan 8 2018, 9:31 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJan 8 2018, 9:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore updated the task description. (Show Details)Jan 8 2018, 9:31 AM
Lea_WMDE triaged this task as Normal priority.Jan 10 2018, 8:43 AM
Lea_WMDE removed a project: TCB-Team.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Jan 10 2018, 2:57 PM
Lea_WMDE set the point value for this task to 3.
gabriel-wmde removed a subscriber: Addshore.
gabriel-wmde removed gabriel-wmde as the assignee of this task.Jan 23 2018, 4:16 PM
gabriel-wmde added subscribers: Lea_WMDE, gabriel-wmde.

I've looked into this and it's more a problem of the Vector and monobook skins than a problem of AdvancedSearch or OO UI. In Vector, there are absolutely positioned elements like the tabs on the left and the navigation on the right and the main content is also positioned absolutely. The main content has a lower z-index than the navigation which means that all the elements it contains are shown "under" the navigation. I can give the popup menu a z-index of one million, it would still be shown below the navigation because the menu is a child of the content. Monobook is structured similarly. I've made an HTML/CSS demo that demonstrates the issue independently: https://codepen.io/chiborg/pen/opOqaK

@Lea_WMDE: Please decide what to do next. I recommend escalating this issue to the WMF team that handles the design of Vector and monobook. I fear fiddling with the z-index of those themes is verboten, but maybe something can be done with the overflow property (to cut off content that is escaping the enclosure). But pondering the effects of CSS changes in the two main MediaWiki themes goes beyond my capability at the moment.

@Lea_WMDE Forget everything I've written. This is a known problem and it seems like OOJS UI already has a solution. The solution becomes a bit more complex than the "simple CSS change" we originally thought of, but I'll give the task another shot.

gabriel-wmde removed gabriel-wmde as the assignee of this task.
gabriel-wmde claimed this task.
gabriel-wmde removed gabriel-wmde as the assignee of this task.Feb 9 2018, 2:28 PM
gabriel-wmde moved this task from Doing to Todo on the WMDE-Fundraising-Sprint-16 board.

Only reproducible on our test wiki. Please update the MediaWiki core and Vector skin, then check if the behavior still persists.

gabriel-wmde claimed this task.

Updated the test wiki to latest master and user-tested - now the menus don't overlap anymore.

gabriel-wmde removed gabriel-wmde as the assignee of this task.
Tonina_Zhelyazkova_WMDE closed this task as Resolved.Feb 14 2018, 2:26 PM
Tonina_Zhelyazkova_WMDE claimed this task.

Tested with MonoBook on the test wiki - the overlap is fixed for Monobook as well (both on the left and right side parts of the top bar).

238482n375 set Security to Software security bug.Fri, Jun 15, 8:05 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by Reedy.
Restricted Application added a project: Security. · View Herald TranscriptFri, Jun 15, 8:25 AM
Ladsgroup changed the visibility from "Custom Policy" to "Public (No Login Required)".
Aklapper added a subscriber: Aklapper.
Reedy added a subscriber: Reedy.Fri, Jun 15, 1:58 PM